#ifndef DOM_BINDINGNAMES_H_
#define DOM_BINDINGNAMES_H_

#include <stddef.h>
#include <stdint.h>
#include "mozilla/Attributes.h"

namespace mozilla::dom {

enum class BindingNamesOffset : uint16_t {
  ANGLE_instanced_arrays = 0,
  APZHitResultFlags = 23,
  AbortController = 41,
  AbortSignal = 57,
  AbstractRange = 69,
  AccessibleNode = 83,
  Addon = 98,
  AddonEvent = 104,
  AddonInstall = 115,
  AddonManager = 128,
  AddonManagerPermissions = 141,
  AnalyserNode = 165,
  Animation = 178,
  AnimationEffect = 188,
  AnimationEvent = 204,
  AnimationPlaybackEvent = 219,
  AnimationTimeline = 242,
  AnonymousContent = 260,
  Attr = 277,
  Audio = 282,
  AudioBuffer = 288,
  AudioBufferSourceNode = 300,
  AudioContext = 322,
  AudioDestinationNode = 335,
  AudioListener = 356,
  AudioNode = 370,
  AudioParam = 380,
  AudioParamMap = 391,
  AudioProcessingEvent = 405,
  AudioScheduledSourceNode = 426,
  AudioTrack = 451,
  AudioTrackList = 462,
  AudioWorklet = 477,
  AudioWorkletGlobalScope = 490,
  AudioWorkletNode = 514,
  AudioWorkletProcessor = 531,
  AuthenticatorAssertionResponse = 553,
  AuthenticatorAttestationResponse = 584,
  AuthenticatorResponse = 617,
  BarProp = 639,
  BaseAudioContext = 647,
  BatteryManager = 664,
  BeforeUnloadEvent = 679,
  BiquadFilterNode = 697,
  Blob = 714,
  BlobEvent = 719,
  BroadcastChannel = 729,
  BrowsingContext = 746,
  BrowsingContextGroup = 762,
  ByteLengthQueuingStrategy = 783,
  CDATASection = 809,
  CSS = 822,
  CSS2Properties = 826,
  CSSAnimation = 841,
  CSSConditionRule = 854,
  CSSContainerRule = 871,
  CSSCounterStyleRule = 888,
  CSSFontFaceRule = 908,
  CSSFontFeatureValuesRule = 924,
  CSSFontPaletteValuesRule = 949,
  CSSGroupingRule = 974,
  CSSImportRule = 990,
  CSSKeyframeRule = 1004,
  CSSKeyframesRule = 1020,
  CSSLayerBlockRule = 1037,
  CSSLayerStatementRule = 1055,
  CSSMediaRule = 1077,
  CSSMozDocumentRule = 1090,
  CSSNamespaceRule = 1109,
  CSSPageRule = 1126,
  CSSPropertyRule = 1138,
  CSSPseudoElement = 1154,
  CSSRule = 1171,
  CSSRuleList = 1179,
  CSSStyleDeclaration = 1191,
  CSSStyleRule = 1211,
  CSSStyleSheet = 1224,
  CSSSupportsRule = 1238,
  CSSTransition = 1254,
  Cache = 1268,
  CacheStorage = 1274,
  CallbackDebuggerNotification = 1287,
  CanonicalBrowsingContext = 1316,
  CanvasCaptureMediaStream = 1341,
  CanvasGradient = 1366,
  CanvasPattern = 1381,
  CanvasRenderingContext2D = 1395,
  CaretPosition = 1420,
  CaretStateChangedEvent = 1434,
  ChannelMergerNode = 1457,
  ChannelSplitterNode = 1475,
  ChannelWrapper = 1495,
  CharacterData = 1510,
  CheckerboardReportService = 1524,
  ChildProcessMessageManager = 1550,
  ChildSHistory = 1577,
  ChromeMessageBroadcaster = 1591,
  ChromeMessageSender = 1616,
  ChromeNodeList = 1636,
  ChromeUtils = 1651,
  ChromeWorker = 1663,
  Client = 1676,
  Clients = 1683,
  Clipboard = 1691,
  ClipboardEvent = 1701,
  ClipboardItem = 1716,
  ClonedErrorHolder = 1730,
  CloseEvent = 1748,
  CommandEvent = 1759,
  Comment = 1772,
  CompositionEvent = 1780,
  CompressionStream = 1797,
  ConsoleInstance = 1815,
  ConstantSourceNode = 1831,
  ContentFrameMessageManager = 1850,
  ContentProcessMessageManager = 1877,
  ContentVisibilityAutoStateChangeEvent = 1906,
  ConvolverNode = 1944,
  CountQueuingStrategy = 1958,
  CreateOfferRequest = 1979,
  Credential = 1998,
  CredentialsContainer = 2009,
  Crypto = 2030,
  CryptoKey = 2037,
  CustomElementRegistry = 2047,
  CustomEvent = 2069,
  DOMException = 2081,
  DOMImplementation = 2094,
  DOMLocalization = 2112,
  DOMMatrix = 2128,
  DOMMatrixReadOnly = 2138,
  DOMParser = 2156,
  DOMPoint = 2166,
  DOMPointReadOnly = 2175,
  DOMQuad = 2192,
  DOMRect = 2200,
  DOMRectList = 2208,
  DOMRectReadOnly = 2220,
  DOMRequest = 2236,
  DOMStringList = 2247,
  DOMStringMap = 2261,
  DOMTokenList = 2274,
  DataTransfer = 2287,
  DataTransferItem = 2300,
  DataTransferItemList = 2317,
  DebuggerNotification = 2338,
  DebuggerNotificationObserver = 2359,
  DecompressionStream = 2388,
  DedicatedWorkerGlobalScope = 2408,
  DelayNode = 2435,
  DeprecationReportBody = 2445,
  DeviceAcceleration = 2467,
  DeviceLightEvent = 2486,
  DeviceMotionEvent = 2503,
  DeviceOrientationEvent = 2521,
  DeviceRotationRate = 2544,
  Directory = 2563,
  Document = 2573,
  DocumentFragment = 2582,
  DocumentL10n = 2599,
  DocumentTimeline = 2612,
  DocumentType = 2629,
  DominatorTree = 2642,
  DragEvent = 2656,
  DynamicsCompressorNode = 2666,
  EXT_blend_minmax = 2689,
  EXT_color_buffer_float = 2706,
  EXT_color_buffer_half_float = 2729,
  EXT_disjoint_timer_query = 2757,
  EXT_float_blend = 2782,
  EXT_frag_depth = 2798,
  EXT_sRGB = 2813,
  EXT_shader_texture_lod = 2822,
  EXT_texture_compression_bptc = 2845,
  EXT_texture_compression_rgtc = 2874,
  EXT_texture_filter_anisotropic = 2903,
  EXT_texture_norm16 = 2934,
  Element = 2953,
  ElementInternals = 2961,
  EncodedVideoChunk = 2978,
  ErrorEvent = 2996,
  Event = 3007,
  EventCallbackDebuggerNotification = 3013,
  EventCounts = 3047,
  EventSource = 3059,
  EventTarget = 3071,
  Exception = 3083,
  ExtendableEvent = 3093,
  ExtendableMessageEvent = 3109,
  ExtensionAlarms = 3132,
  ExtensionBrowser = 3148,
  ExtensionBrowserSettings = 3165,
  ExtensionBrowserSettingsColorManagement = 3190,
  ExtensionDns = 3230,
  ExtensionEventManager = 3243,
  ExtensionMockAPI = 3265,
  ExtensionPort = 3282,
  ExtensionProxy = 3296,
  ExtensionRuntime = 3311,
  ExtensionScripting = 3328,
  ExtensionSetting = 3347,
  ExtensionTest = 3364,
  External = 3378,
  FeaturePolicy = 3387,
  FeaturePolicyViolationReportBody = 3401,
  FetchEvent = 3434,
  FetchObserver = 3445,
  File = 3459,
  FileList = 3464,
  FileReader = 3473,
  FileReaderSync = 3484,
  FileSystem = 3499,
  FileSystemDirectoryEntry = 3510,
  FileSystemDirectoryHandle = 3535,
  FileSystemDirectoryHandle_AsyncIterator = 3561,
  FileSystemDirectoryIterator = 3601,
  FileSystemDirectoryReader = 3629,
  FileSystemEntry = 3655,
  FileSystemFileEntry = 3671,
  FileSystemFileHandle = 3691,
  FileSystemHandle = 3712,
  FileSystemSyncAccessHandle = 3729,
  FileSystemWritableFileStream = 3756,
  Flex = 3785,
  FlexItemValues = 3790,
  FlexLineValues = 3805,
  FluentBundle = 3820,
  FluentBundleAsyncIterator = 3833,
  FluentBundleIterator = 3859,
  FluentPattern = 3880,
  FluentResource = 3894,
  FocusEvent = 3909,
  FontFace = 3920,
  FontFaceSet = 3929,
  FontFaceSetIterator = 3941,
  FontFaceSetLoadEvent = 3961,
  FormData = 3982,
  FormData_Iterator = 3991,
  FormDataEvent = 4009,
  FrameCrashedEvent = 4023,
  FrameLoader = 4041,
  GPU = 4053,
  GPUAdapter = 4057,
  GPUAdapterInfo = 4068,
  GPUBindGroup = 4083,
  GPUBindGroupLayout = 4096,
  GPUBuffer = 4115,
  GPUBufferUsage = 4125,
  GPUCanvasContext = 4140,
  GPUColorWrite = 4157,
  GPUCommandBuffer = 4171,
  GPUCommandEncoder = 4188,
  GPUCompilationInfo = 4206,
  GPUCompilationMessage = 4225,
  GPUComputePassEncoder = 4247,
  GPUComputePipeline = 4269,
  GPUDevice = 4288,
  GPUDeviceLostInfo = 4298,
  GPUError = 4316,
  GPUInternalError = 4325,
  GPUMapMode = 4342,
  GPUOutOfMemoryError = 4353,
  GPUPipelineLayout = 4373,
  GPUQuerySet = 4391,
  GPUQueue = 4403,
  GPURenderBundle = 4412,
  GPURenderBundleEncoder = 4428,
  GPURenderPassEncoder = 4451,
  GPURenderPipeline = 4472,
  GPUSampler = 4490,
  GPUShaderModule = 4501,
  GPUShaderStage = 4517,
  GPUSupportedFeatures = 4532,
  GPUSupportedLimits = 4553,
  GPUTexture = 4572,
  GPUTextureUsage = 4583,
  GPUTextureView = 4599,
  GPUUncapturedErrorEvent = 4614,
  GPUValidationError = 4638,
  GainNode = 4657,
  Gamepad = 4666,
  GamepadAxisMoveEvent = 4674,
  GamepadButton = 4695,
  GamepadButtonEvent = 4709,
  GamepadEvent = 4728,
  GamepadHapticActuator = 4741,
  GamepadLightIndicator = 4763,
  GamepadPose = 4785,
  GamepadServiceTest = 4797,
  GamepadTouch = 4816,
  Geolocation = 4829,
  GeolocationCoordinates = 4841,
  GeolocationPosition = 4864,
  GeolocationPositionError = 4884,
  GetUserMediaRequest = 4909,
  GleanCategory = 4929,
  GleanImpl = 4943,
  GleanLabeled = 4953,
  GleanPingsImpl = 4966,
  Grid = 4981,
  GridArea = 4986,
  GridDimension = 4995,
  GridLine = 5009,
  GridLines = 5018,
  GridTrack = 5028,
  GridTracks = 5038,
  HTMLAllCollection = 5049,
  HTMLAnchorElement = 5067,
  HTMLAreaElement = 5085,
  HTMLAudioElement = 5101,
  HTMLBRElement = 5118,
  HTMLBaseElement = 5132,
  HTMLBodyElement = 5148,
  HTMLButtonElement = 5164,
  HTMLCanvasElement = 5182,
  HTMLCollection = 5200,
  HTMLDListElement = 5215,
  HTMLDataElement = 5232,
  HTMLDataListElement = 5248,
  HTMLDetailsElement = 5268,
  HTMLDialogElement = 5287,
  HTMLDirectoryElement = 5305,
  HTMLDivElement = 5326,
  HTMLDocument = 5341,
  HTMLElement = 5354,
  HTMLEmbedElement = 5366,
  HTMLFieldSetElement = 5383,
  HTMLFontElement = 5403,
  HTMLFormControlsCollection = 5419,
  HTMLFormElement = 5446,
  HTMLFrameElement = 5462,
  HTMLFrameSetElement = 5479,
  HTMLHRElement = 5499,
  HTMLHeadElement = 5513,
  HTMLHeadingElement = 5529,
  HTMLHtmlElement = 5548,
  HTMLIFrameElement = 5564,
  HTMLImageElement = 5582,
  HTMLInputElement = 5599,
  HTMLLIElement = 5616,
  HTMLLabelElement = 5630,
  HTMLLegendElement = 5647,
  HTMLLinkElement = 5665,
  HTMLMapElement = 5681,
  HTMLMarqueeElement = 5696,
  HTMLMediaElement = 5715,
  HTMLMenuElement = 5732,
  HTMLMetaElement = 5748,
  HTMLMeterElement = 5764,
  HTMLModElement = 5781,
  HTMLOListElement = 5796,
  HTMLObjectElement = 5813,
  HTMLOptGroupElement = 5831,
  HTMLOptionElement = 5851,
  HTMLOptionsCollection = 5869,
  HTMLOutputElement = 5891,
  HTMLParagraphElement = 5909,
  HTMLParamElement = 5930,
  HTMLPictureElement = 5947,
  HTMLPreElement = 5966,
  HTMLProgressElement = 5981,
  HTMLQuoteElement = 6001,
  HTMLScriptElement = 6018,
  HTMLSelectElement = 6036,
  HTMLSlotElement = 6054,
  HTMLSourceElement = 6070,
  HTMLSpanElement = 6088,
  HTMLStyleElement = 6104,
  HTMLTableCaptionElement = 6121,
  HTMLTableCellElement = 6145,
  HTMLTableColElement = 6166,
  HTMLTableElement = 6186,
  HTMLTableRowElement = 6203,
  HTMLTableSectionElement = 6223,
  HTMLTemplateElement = 6247,
  HTMLTextAreaElement = 6267,
  HTMLTimeElement = 6287,
  HTMLTitleElement = 6303,
  HTMLTrackElement = 6320,
  HTMLUListElement = 6337,
  HTMLUnknownElement = 6354,
  HTMLVideoElement = 6373,
  HashChangeEvent = 6390,
  Headers = 6406,
  Headers_Iterator = 6414,
  HeapSnapshot = 6431,
  Highlight = 6444,
  HighlightRegistry = 6454,
  History = 6472,
  IDBCursor = 6480,
  IDBCursorWithValue = 6490,
  IDBDatabase = 6509,
  IDBFactory = 6521,
  IDBIndex = 6532,
  IDBKeyRange = 6541,
  IDBLocaleAwareKeyRange = 6553,
  IDBObjectStore = 6576,
  IDBOpenDBRequest = 6591,
  IDBRequest = 6608,
  IDBTransaction = 6619,
  IDBVersionChangeEvent = 6634,
  IIRFilterNode = 6656,
  IOUtils = 6670,
  IdentityCredential = 6678,
  IdleDeadline = 6697,
  Image = 6710,
  ImageBitmap = 6716,
  ImageBitmapRenderingContext = 6728,
  ImageCapture = 6756,
  ImageCaptureError = 6769,
  ImageCaptureErrorEvent = 6787,
  ImageData = 6810,
  ImageDocument = 6820,
  InputEvent = 6834,
  InspectorFontFace = 6845,
  InspectorUtils = 6863,
  InstallTriggerImpl = 6878,
  IntersectionObserver = 6897,
  IntersectionObserverEntry = 6918,
  IntlUtils = 6944,
  JSProcessActorChild = 6954,
  JSProcessActorParent = 6974,
  JSWindowActorChild = 6995,
  JSWindowActorParent = 7014,
  KeyEvent = 7034,
  KeyboardEvent = 7043,
  KeyframeEffect = 7057,
  L10nFileSource = 7072,
  L10nOverlays = 7087,
  L10nRegistry = 7100,
  LargestContentfulPaint = 7113,
  LegacyMozTCPSocket = 7136,
  Localization = 7155,
  Location = 7168,
  Lock = 7177,
  LockManager = 7182,
  MIDIAccess = 7194,
  MIDIConnectionEvent = 7205,
  MIDIInput = 7225,
  MIDIInputMap = 7235,
  MIDIMessageEvent = 7248,
  MIDIOutput = 7265,
  MIDIOutputMap = 7276,
  MIDIPort = 7290,
  MOZ_debug = 7299,
  MatchGlob = 7309,
  MatchPattern = 7319,
  MatchPatternSet = 7332,
  MathMLElement = 7348,
  MediaCapabilities = 7362,
  MediaCapabilitiesInfo = 7380,
  MediaControlService = 7402,
  MediaController = 7422,
  MediaDeviceInfo = 7438,
  MediaDevices = 7454,
  MediaElementAudioSourceNode = 7467,
  MediaEncryptedEvent = 7495,
  MediaError = 7515,
  MediaKeyError = 7526,
  MediaKeyMessageEvent = 7540,
  MediaKeySession = 7561,
  MediaKeyStatusMap = 7577,
  MediaKeyStatusMap_Iterator = 7595,
  MediaKeySystemAccess = 7622,
  MediaKeys = 7643,
  MediaList = 7653,
  MediaMetadata = 7663,
  MediaQueryList = 7677,
  MediaQueryListEvent = 7692,
  MediaRecorder = 7712,
  MediaRecorderErrorEvent = 7726,
  MediaSession = 7750,
  MediaSource = 7763,
  MediaStream = 7775,
  MediaStreamAudioDestinationNode = 7787,
  MediaStreamAudioSourceNode = 7819,
  MediaStreamError = 7846,
  MediaStreamEvent = 7863,
  MediaStreamTrack = 7880,
  MediaStreamTrackAudioSourceNode = 7897,
  MediaStreamTrackEvent = 7929,
  MerchantValidationEvent = 7951,
  MessageBroadcaster = 7975,
  MessageChannel = 7994,
  MessageEvent = 8009,
  MessageListenerManager = 8022,
  MessagePort = 8045,
  MessageSender = 8057,
  MimeType = 8071,
  MimeTypeArray = 8080,
  MouseEvent = 8094,
  MouseScrollEvent = 8105,
  MozCanvasPrintState = 8122,
  MozDocumentMatcher = 8142,
  MozDocumentObserver = 8161,
  MozQueryInterface = 8181,
  MozSharedMap = 8199,
  MozSharedMap_Iterator = 8212,
  MozSharedMapChangeEvent = 8234,
  MozStorageAsyncStatementParams = 8258,
  MozStorageStatementParams = 8289,
  MozStorageStatementRow = 8315,
  MozWritableSharedMap = 8338,
  MutationEvent = 8359,
  MutationObserver = 8373,
  MutationRecord = 8390,
  NamedNodeMap = 8405,
  NavigationPreloadManager = 8418,
  Navigator = 8443,
  NetworkInformation = 8453,
  Node = 8472,
  NodeFilter = 8477,
  NodeIterator = 8488,
  NodeList = 8501,
  Notification = 8510,
  NotificationEvent = 8523,
  NotifyPaintEvent = 8541,
  OES_draw_buffers_indexed = 8558,
  OES_element_index_uint = 8583,
  OES_fbo_render_mipmap = 8606,
  OES_standard_derivatives = 8628,
  OES_texture_float = 8653,
  OES_texture_float_linear = 8671,
  OES_texture_half_float = 8696,
  OES_texture_half_float_linear = 8719,
  OES_vertex_array_object = 8749,
  OVR_multiview2 = 8773,
  OfflineAudioCompletionEvent = 8788,
  OfflineAudioContext = 8816,
  OffscreenCanvas = 8836,
  OffscreenCanvasRenderingContext2D = 8852,
  Option = 8886,
  OscillatorNode = 8893,
  PageTransitionEvent = 8908,
  PaintRequest = 8928,
  PaintRequestList = 8941,
  PaintWorkletGlobalScope = 8958,
  PannerNode = 8982,
  ParentProcessMessageManager = 8993,
  Path2D = 9021,
  PathUtils = 9028,
  PaymentAddress = 9038,
  PaymentMethodChangeEvent = 9053,
  PaymentRequest = 9078,
  PaymentRequestUpdateEvent = 9093,
  PaymentResponse = 9119,
  Performance = 9135,
  PerformanceEntry = 9147,
  PerformanceEntryEvent = 9164,
  PerformanceEventTiming = 9186,
  PerformanceMark = 9209,
  PerformanceMeasure = 9225,
  PerformanceNavigation = 9244,
  PerformanceNavigationTiming = 9266,
  PerformanceObserver = 9294,
  PerformanceObserverEntryList = 9314,
  PerformancePaintTiming = 9343,
  PerformanceResourceTiming = 9366,
  PerformanceServerTiming = 9392,
  PerformanceTiming = 9416,
  PeriodicWave = 9434,
  PermissionStatus = 9447,
  Permissions = 9464,
  PlacesBookmark = 9476,
  PlacesBookmarkAddition = 9491,
  PlacesBookmarkChanged = 9514,
  PlacesBookmarkGuid = 9536,
  PlacesBookmarkKeyword = 9555,
  PlacesBookmarkMoved = 9577,
  PlacesBookmarkRemoved = 9597,
  PlacesBookmarkTags = 9619,
  PlacesBookmarkTime = 9638,
  PlacesBookmarkTitle = 9657,
  PlacesBookmarkUrl = 9677,
  PlacesEvent = 9695,
  PlacesFavicon = 9707,
  PlacesHistoryCleared = 9721,
  PlacesObservers = 9742,
  PlacesPurgeCaches = 9758,
  PlacesRanking = 9776,
  PlacesVisit = 9790,
  PlacesVisitRemoved = 9802,
  PlacesVisitTitle = 9821,
  PlacesWeakCallbackWrapper = 9838,
  Plugin = 9864,
  PluginArray = 9871,
  PluginCrashedEvent = 9883,
  PointerEvent = 9902,
  PopStateEvent = 9915,
  PopupBlockedEvent = 9929,
  PopupPositionedEvent = 9947,
  PositionStateEvent = 9968,
  PrecompiledScript = 9987,
  ProcessMessageManager = 10005,
  ProcessingInstruction = 10027,
  ProgressEvent = 10049,
  PromiseDebugging = 10063,
  PromiseNativeHandler = 10080,
  PromiseRejectionEvent = 10101,
  PublicKeyCredential = 10123,
  PushEvent = 10143,
  PushManager = 10153,
  PushManagerImpl = 10165,
  PushMessageData = 10181,
  PushSubscription = 10197,
  PushSubscriptionOptions = 10214,
  RadioNodeList = 10238,
  Range = 10252,
  ReadableByteStreamController = 10258,
  ReadableStream = 10287,
  ReadableStream_AsyncIterator = 10302,
  ReadableStreamBYOBReader = 10331,
  ReadableStreamBYOBRequest = 10356,
  ReadableStreamDefaultController = 10382,
  ReadableStreamDefaultReader = 10414,
  Report = 10442,
  ReportBody = 10449,
  ReportingObserver = 10460,
  Request = 10478,
  ResizeObserver = 10486,
  ResizeObserverEntry = 10501,
  ResizeObserverSize = 10521,
  Response = 10540,
  SVGAElement = 10549,
  SVGAngle = 10561,
  SVGAnimateElement = 10570,
  SVGAnimateMotionElement = 10588,
  SVGAnimateTransformElement = 10612,
  SVGAnimatedAngle = 10639,
  SVGAnimatedBoolean = 10656,
  SVGAnimatedEnumeration = 10675,
  SVGAnimatedInteger = 10698,
  SVGAnimatedLength = 10717,
  SVGAnimatedLengthList = 10735,
  SVGAnimatedNumber = 10757,
  SVGAnimatedNumberList = 10775,
  SVGAnimatedPreserveAspectRatio = 10797,
  SVGAnimatedRect = 10828,
  SVGAnimatedString = 10844,
  SVGAnimatedTransformList = 10862,
  SVGAnimationElement = 10887,
  SVGCircleElement = 10907,
  SVGClipPathElement = 10924,
  SVGComponentTransferFunctionElement = 10943,
  SVGDefsElement = 10979,
  SVGDescElement = 10994,
  SVGElement = 11009,
  SVGEllipseElement = 11020,
  SVGFEBlendElement = 11038,
  SVGFEColorMatrixElement = 11056,
  SVGFEComponentTransferElement = 11080,
  SVGFECompositeElement = 11110,
  SVGFEConvolveMatrixElement = 11132,
  SVGFEDiffuseLightingElement = 11159,
  SVGFEDisplacementMapElement = 11187,
  SVGFEDistantLightElement = 11215,
  SVGFEDropShadowElement = 11240,
  SVGFEFloodElement = 11263,
  SVGFEFuncAElement = 11281,
  SVGFEFuncBElement = 11299,
  SVGFEFuncGElement = 11317,
  SVGFEFuncRElement = 11335,
  SVGFEGaussianBlurElement = 11353,
  SVGFEImageElement = 11378,
  SVGFEMergeElement = 11396,
  SVGFEMergeNodeElement = 11414,
  SVGFEMorphologyElement = 11436,
  SVGFEOffsetElement = 11459,
  SVGFEPointLightElement = 11478,
  SVGFESpecularLightingElement = 11501,
  SVGFESpotLightElement = 11530,
  SVGFETileElement = 11552,
  SVGFETurbulenceElement = 11569,
  SVGFilterElement = 11592,
  SVGForeignObjectElement = 11609,
  SVGGElement = 11633,
  SVGGeometryElement = 11645,
  SVGGradientElement = 11664,
  SVGGraphicsElement = 11683,
  SVGImageElement = 11702,
  SVGLength = 11718,
  SVGLengthList = 11728,
  SVGLineElement = 11742,
  SVGLinearGradientElement = 11757,
  SVGMPathElement = 11782,
  SVGMarkerElement = 11798,
  SVGMaskElement = 11815,
  SVGMatrix = 11830,
  SVGMetadataElement = 11840,
  SVGNumber = 11859,
  SVGNumberList = 11869,
  SVGPathElement = 11883,
  SVGPathSeg = 11898,
  SVGPathSegArcAbs = 11909,
  SVGPathSegArcRel = 11926,
  SVGPathSegClosePath = 11943,
  SVGPathSegCurvetoCubicAbs = 11963,
  SVGPathSegCurvetoCubicRel = 11989,
  SVGPathSegCurvetoCubicSmoothAbs = 12015,
  SVGPathSegCurvetoCubicSmoothRel = 12047,
  SVGPathSegCurvetoQuadraticAbs = 12079,
  SVGPathSegCurvetoQuadraticRel = 12109,
  SVGPathSegCurvetoQuadraticSmoothAbs = 12139,
  SVGPathSegCurvetoQuadraticSmoothRel = 12175,
  SVGPathSegLinetoAbs = 12211,
  SVGPathSegLinetoHorizontalAbs = 12231,
  SVGPathSegLinetoHorizontalRel = 12261,
  SVGPathSegLinetoRel = 12291,
  SVGPathSegLinetoVerticalAbs = 12311,
  SVGPathSegLinetoVerticalRel = 12339,
  SVGPathSegList = 12367,
  SVGPathSegMovetoAbs = 12382,
  SVGPathSegMovetoRel = 12402,
  SVGPatternElement = 12422,
  SVGPoint = 12440,
  SVGPointList = 12449,
  SVGPolygonElement = 12462,
  SVGPolylineElement = 12480,
  SVGPreserveAspectRatio = 12499,
  SVGRadialGradientElement = 12522,
  SVGRect = 12547,
  SVGRectElement = 12555,
  SVGSVGElement = 12570,
  SVGScriptElement = 12584,
  SVGSetElement = 12601,
  SVGStopElement = 12615,
  SVGStringList = 12630,
  SVGStyleElement = 12644,
  SVGSwitchElement = 12660,
  SVGSymbolElement = 12677,
  SVGTSpanElement = 12694,
  SVGTextContentElement = 12710,
  SVGTextElement = 12732,
  SVGTextPathElement = 12747,
  SVGTextPositioningElement = 12766,
  SVGTitleElement = 12792,
  SVGTransform = 12808,
  SVGTransformList = 12821,
  SVGUnitTypes = 12838,
  SVGUseElement = 12851,
  SVGViewElement = 12865,
  Sanitizer = 12880,
  Scheduler = 12890,
  Screen = 12900,
  ScreenLuminance = 12907,
  ScreenOrientation = 12923,
  ScriptProcessorNode = 12941,
  ScrollAreaEvent = 12961,
  ScrollViewChangeEvent = 12977,
  SecurityPolicyViolationEvent = 12999,
  Selection = 13028,
  ServiceWorker = 13038,
  ServiceWorkerContainer = 13052,
  ServiceWorkerGlobalScope = 13075,
  ServiceWorkerRegistration = 13100,
  SessionStoreFormData = 13126,
  SessionStoreScrollData = 13147,
  SessionStoreUtils = 13170,
  ShadowRealmGlobalScope = 13188,
  ShadowRoot = 13211,
  SharedWorker = 13222,
  SharedWorkerGlobalScope = 13235,
  SimpleGestureEvent = 13259,
  SourceBuffer = 13278,
  SourceBufferList = 13291,
  SpeechGrammar = 13308,
  SpeechGrammarList = 13322,
  SpeechRecognition = 13340,
  SpeechRecognitionAlternative = 13358,
  SpeechRecognitionError = 13387,
  SpeechRecognitionEvent = 13410,
  SpeechRecognitionResult = 13433,
  SpeechRecognitionResultList = 13457,
  SpeechSynthesis = 13485,
  SpeechSynthesisErrorEvent = 13501,
  SpeechSynthesisEvent = 13527,
  SpeechSynthesisUtterance = 13548,
  SpeechSynthesisVoice = 13573,
  StaticRange = 13594,
  StereoPannerNode = 13606,
  Storage = 13623,
  StorageEvent = 13631,
  StorageManager = 13644,
  StreamFilter = 13659,
  StreamFilterDataEvent = 13672,
  StructuredCloneHolder = 13694,
  StructuredCloneTester = 13716,
  StyleSheet = 13738,
  StyleSheetApplicableStateChangeEvent = 13749,
  StyleSheetList = 13786,
  SubmitEvent = 13801,
  SubtleCrypto = 13813,
  SyncMessageSender = 13826,
  SyncReadFile = 13844,
  TCPServerSocket = 13857,
  TCPServerSocketEvent = 13873,
  TCPSocket = 13894,
  TCPSocketErrorEvent = 13904,
  TCPSocketEvent = 13924,
  TaskController = 13939,
  TaskPriorityChangeEvent = 13954,
  TaskSignal = 13978,
  TelemetryStopwatch = 13989,
  TestUtils = 14008,
  TestingDeprecatedInterface = 14018,
  Text = 14045,
  TextClause = 14050,
  TextDecoder = 14061,
  TextDecoderStream = 14073,
  TextEncoder = 14091,
  TextEncoderStream = 14103,
  TextMetrics = 14121,
  TextTrack = 14133,
  TextTrackCue = 14143,
  TextTrackCueList = 14156,
  TextTrackList = 14173,
  TimeEvent = 14187,
  TimeRanges = 14197,
  ToggleEvent = 14208,
  Touch = 14220,
  TouchEvent = 14226,
  TouchList = 14237,
  TrackEvent = 14247,
  TransformStream = 14258,
  TransformStreamDefaultController = 14274,
  TransitionEvent = 14307,
  TreeColumn = 14323,
  TreeColumns = 14334,
  TreeContentView = 14346,
  TreeWalker = 14362,
  UDPMessageEvent = 14373,
  UDPSocket = 14389,
  UIEvent = 14399,
  URL = 14407,
  URLSearchParams = 14411,
  URLSearchParams_Iterator = 14427,
  UniFFIPointer = 14452,
  UniFFIScaffolding = 14466,
  UserInteraction = 14484,
  UserProximityEvent = 14500,
  VRDisplay = 14519,
  VRDisplayCapabilities = 14529,
  VRDisplayEvent = 14551,
  VREyeParameters = 14566,
  VRFieldOfView = 14582,
  VRFrameData = 14596,
  VRMockController = 14608,
  VRMockDisplay = 14625,
  VRPose = 14639,
  VRServiceTest = 14646,
  VRStageParameters = 14660,
  VTTCue = 14678,
  VTTRegion = 14685,
  ValidityState = 14695,
  VideoColorSpace = 14709,
  VideoDecoder = 14725,
  VideoFrame = 14738,
  VideoPlaybackQuality = 14749,
  VideoTrack = 14770,
  VideoTrackList = 14781,
  VisualViewport = 14796,
  WEBGL_color_buffer_float = 14811,
  WEBGL_compressed_texture_astc = 14836,
  WEBGL_compressed_texture_etc = 14866,
  WEBGL_compressed_texture_etc1 = 14895,
  WEBGL_compressed_texture_pvrtc = 14925,
  WEBGL_compressed_texture_s3tc = 14956,
  WEBGL_compressed_texture_s3tc_srgb = 14986,
  WEBGL_debug_renderer_info = 15021,
  WEBGL_debug_shaders = 15047,
  WEBGL_depth_texture = 15067,
  WEBGL_draw_buffers = 15087,
  WEBGL_explicit_present = 15106,
  WEBGL_lose_context = 15129,
  WEBGL_provoking_vertex = 15148,
  WaveShaperNode = 15171,
  WebExtensionContentScript = 15186,
  WebExtensionPolicy = 15212,
  WebGL2RenderingContext = 15231,
  WebGLActiveInfo = 15254,
  WebGLBuffer = 15270,
  WebGLContextEvent = 15282,
  WebGLFramebuffer = 15300,
  WebGLProgram = 15317,
  WebGLQuery = 15330,
  WebGLRenderbuffer = 15341,
  WebGLRenderingContext = 15359,
  WebGLSampler = 15381,
  WebGLShader = 15394,
  WebGLShaderPrecisionFormat = 15406,
  WebGLSync = 15433,
  WebGLTexture = 15443,
  WebGLTransformFeedback = 15456,
  WebGLUniformLocation = 15479,
  WebGLVertexArrayObject = 15500,
  WebKitCSSMatrix = 15523,
  WebSocket = 15539,
  WebTransport = 15549,
  WebTransportBidirectionalStream = 15562,
  WebTransportDatagramDuplexStream = 15594,
  WebTransportError = 15627,
  WebTransportReceiveStream = 15645,
  WebTransportSendStream = 15671,
  WheelEvent = 15694,
  Window = 15705,
  WindowClient = 15712,
  WindowContext = 15725,
  WindowGlobalChild = 15739,
  WindowGlobalParent = 15757,
  WindowRoot = 15776,
  Worker = 15787,
  WorkerDebuggerGlobalScope = 15794,
  WorkerGlobalScope = 15820,
  WorkerLocation = 15838,
  WorkerNavigator = 15853,
  WorkerTestUtils = 15869,
  Worklet = 15885,
  WorkletGlobalScope = 15893,
  WritableStream = 15912,
  WritableStreamDefaultController = 15927,
  WritableStreamDefaultWriter = 15959,
  XMLDocument = 15987,
  XMLHttpRequest = 15999,
  XMLHttpRequestEventTarget = 16014,
  XMLHttpRequestUpload = 16040,
  XMLSerializer = 16061,
  XPathEvaluator = 16075,
  XPathExpression = 16090,
  XPathResult = 16106,
  XRBoundedReferenceSpace = 16118,
  XRFrame = 16142,
  XRInputSource = 16150,
  XRInputSourceArray = 16164,
  XRInputSourceEvent = 16183,
  XRInputSourcesChangeEvent = 16202,
  XRPose = 16228,
  XRReferenceSpace = 16235,
  XRReferenceSpaceEvent = 16252,
  XRRenderState = 16274,
  XRRigidTransform = 16288,
  XRSession = 16305,
  XRSessionEvent = 16315,
  XRSpace = 16330,
  XRSystem = 16338,
  XRView = 16347,
  XRViewerPose = 16354,
  XRViewport = 16367,
  XRWebGLLayer = 16378,
  XSLTProcessor = 16391,
  XULCommandEvent = 16405,
  XULElement = 16421,
  XULFrameElement = 16432,
  XULMenuElement = 16448,
  XULPopupElement = 16463,
  XULResizerElement = 16479,
  XULTextElement = 16497,
  XULTreeElement = 16512,
  console = 16527,
  webkitSpeechGrammar = 16535,
  webkitSpeechGrammarList = 16555,
  webkitSpeechRecognition = 16579,
  webkitURL = 16603,
};

namespace binding_detail {
extern const char sBindingNames[];
}  // namespace binding_detail

MOZ_ALWAYS_INLINE const char* BindingName(BindingNamesOffset aOffset) {
  return binding_detail::sBindingNames + static_cast<size_t>(aOffset);
}

} // namespace mozilla::dom


#endif // DOM_BINDINGNAMES_H_
