#include "mozilla/EnumTypeTraits.h"
#include "mozilla/dom/BindingNames.h"

namespace mozilla::dom {

namespace binding_detail {

const char sBindingNames[] = {
  /*     0 */ "ANGLE_instanced_arrays" "\0"
  /*    23 */ "APZHitResultFlags" "\0"
  /*    41 */ "AbortController" "\0"
  /*    57 */ "AbortSignal" "\0"
  /*    69 */ "AbstractRange" "\0"
  /*    83 */ "AccessibleNode" "\0"
  /*    98 */ "Addon" "\0"
  /*   104 */ "AddonEvent" "\0"
  /*   115 */ "AddonInstall" "\0"
  /*   128 */ "AddonManager" "\0"
  /*   141 */ "AddonManagerPermissions" "\0"
  /*   165 */ "AnalyserNode" "\0"
  /*   178 */ "Animation" "\0"
  /*   188 */ "AnimationEffect" "\0"
  /*   204 */ "AnimationEvent" "\0"
  /*   219 */ "AnimationPlaybackEvent" "\0"
  /*   242 */ "AnimationTimeline" "\0"
  /*   260 */ "AnonymousContent" "\0"
  /*   277 */ "Attr" "\0"
  /*   282 */ "Audio" "\0"
  /*   288 */ "AudioBuffer" "\0"
  /*   300 */ "AudioBufferSourceNode" "\0"
  /*   322 */ "AudioContext" "\0"
  /*   335 */ "AudioDestinationNode" "\0"
  /*   356 */ "AudioListener" "\0"
  /*   370 */ "AudioNode" "\0"
  /*   380 */ "AudioParam" "\0"
  /*   391 */ "AudioParamMap" "\0"
  /*   405 */ "AudioProcessingEvent" "\0"
  /*   426 */ "AudioScheduledSourceNode" "\0"
  /*   451 */ "AudioTrack" "\0"
  /*   462 */ "AudioTrackList" "\0"
  /*   477 */ "AudioWorklet" "\0"
  /*   490 */ "AudioWorkletGlobalScope" "\0"
  /*   514 */ "AudioWorkletNode" "\0"
  /*   531 */ "AudioWorkletProcessor" "\0"
  /*   553 */ "AuthenticatorAssertionResponse" "\0"
  /*   584 */ "AuthenticatorAttestationResponse" "\0"
  /*   617 */ "AuthenticatorResponse" "\0"
  /*   639 */ "BarProp" "\0"
  /*   647 */ "BaseAudioContext" "\0"
  /*   664 */ "BatteryManager" "\0"
  /*   679 */ "BeforeUnloadEvent" "\0"
  /*   697 */ "BiquadFilterNode" "\0"
  /*   714 */ "Blob" "\0"
  /*   719 */ "BlobEvent" "\0"
  /*   729 */ "BroadcastChannel" "\0"
  /*   746 */ "BrowsingContext" "\0"
  /*   762 */ "BrowsingContextGroup" "\0"
  /*   783 */ "ByteLengthQueuingStrategy" "\0"
  /*   809 */ "CDATASection" "\0"
  /*   822 */ "CSS" "\0"
  /*   826 */ "CSS2Properties" "\0"
  /*   841 */ "CSSAnimation" "\0"
  /*   854 */ "CSSConditionRule" "\0"
  /*   871 */ "CSSContainerRule" "\0"
  /*   888 */ "CSSCounterStyleRule" "\0"
  /*   908 */ "CSSFontFaceRule" "\0"
  /*   924 */ "CSSFontFeatureValuesRule" "\0"
  /*   949 */ "CSSFontPaletteValuesRule" "\0"
  /*   974 */ "CSSGroupingRule" "\0"
  /*   990 */ "CSSImportRule" "\0"
  /*  1004 */ "CSSKeyframeRule" "\0"
  /*  1020 */ "CSSKeyframesRule" "\0"
  /*  1037 */ "CSSLayerBlockRule" "\0"
  /*  1055 */ "CSSLayerStatementRule" "\0"
  /*  1077 */ "CSSMediaRule" "\0"
  /*  1090 */ "CSSMozDocumentRule" "\0"
  /*  1109 */ "CSSNamespaceRule" "\0"
  /*  1126 */ "CSSPageRule" "\0"
  /*  1138 */ "CSSPropertyRule" "\0"
  /*  1154 */ "CSSPseudoElement" "\0"
  /*  1171 */ "CSSRule" "\0"
  /*  1179 */ "CSSRuleList" "\0"
  /*  1191 */ "CSSStyleDeclaration" "\0"
  /*  1211 */ "CSSStyleRule" "\0"
  /*  1224 */ "CSSStyleSheet" "\0"
  /*  1238 */ "CSSSupportsRule" "\0"
  /*  1254 */ "CSSTransition" "\0"
  /*  1268 */ "Cache" "\0"
  /*  1274 */ "CacheStorage" "\0"
  /*  1287 */ "CallbackDebuggerNotification" "\0"
  /*  1316 */ "CanonicalBrowsingContext" "\0"
  /*  1341 */ "CanvasCaptureMediaStream" "\0"
  /*  1366 */ "CanvasGradient" "\0"
  /*  1381 */ "CanvasPattern" "\0"
  /*  1395 */ "CanvasRenderingContext2D" "\0"
  /*  1420 */ "CaretPosition" "\0"
  /*  1434 */ "CaretStateChangedEvent" "\0"
  /*  1457 */ "ChannelMergerNode" "\0"
  /*  1475 */ "ChannelSplitterNode" "\0"
  /*  1495 */ "ChannelWrapper" "\0"
  /*  1510 */ "CharacterData" "\0"
  /*  1524 */ "CheckerboardReportService" "\0"
  /*  1550 */ "ChildProcessMessageManager" "\0"
  /*  1577 */ "ChildSHistory" "\0"
  /*  1591 */ "ChromeMessageBroadcaster" "\0"
  /*  1616 */ "ChromeMessageSender" "\0"
  /*  1636 */ "ChromeNodeList" "\0"
  /*  1651 */ "ChromeUtils" "\0"
  /*  1663 */ "ChromeWorker" "\0"
  /*  1676 */ "Client" "\0"
  /*  1683 */ "Clients" "\0"
  /*  1691 */ "Clipboard" "\0"
  /*  1701 */ "ClipboardEvent" "\0"
  /*  1716 */ "ClipboardItem" "\0"
  /*  1730 */ "ClonedErrorHolder" "\0"
  /*  1748 */ "CloseEvent" "\0"
  /*  1759 */ "CommandEvent" "\0"
  /*  1772 */ "Comment" "\0"
  /*  1780 */ "CompositionEvent" "\0"
  /*  1797 */ "CompressionStream" "\0"
  /*  1815 */ "ConsoleInstance" "\0"
  /*  1831 */ "ConstantSourceNode" "\0"
  /*  1850 */ "ContentFrameMessageManager" "\0"
  /*  1877 */ "ContentProcessMessageManager" "\0"
  /*  1906 */ "ContentVisibilityAutoStateChangeEvent" "\0"
  /*  1944 */ "ConvolverNode" "\0"
  /*  1958 */ "CountQueuingStrategy" "\0"
  /*  1979 */ "CreateOfferRequest" "\0"
  /*  1998 */ "Credential" "\0"
  /*  2009 */ "CredentialsContainer" "\0"
  /*  2030 */ "Crypto" "\0"
  /*  2037 */ "CryptoKey" "\0"
  /*  2047 */ "CustomElementRegistry" "\0"
  /*  2069 */ "CustomEvent" "\0"
  /*  2081 */ "DOMException" "\0"
  /*  2094 */ "DOMImplementation" "\0"
  /*  2112 */ "DOMLocalization" "\0"
  /*  2128 */ "DOMMatrix" "\0"
  /*  2138 */ "DOMMatrixReadOnly" "\0"
  /*  2156 */ "DOMParser" "\0"
  /*  2166 */ "DOMPoint" "\0"
  /*  2175 */ "DOMPointReadOnly" "\0"
  /*  2192 */ "DOMQuad" "\0"
  /*  2200 */ "DOMRect" "\0"
  /*  2208 */ "DOMRectList" "\0"
  /*  2220 */ "DOMRectReadOnly" "\0"
  /*  2236 */ "DOMRequest" "\0"
  /*  2247 */ "DOMStringList" "\0"
  /*  2261 */ "DOMStringMap" "\0"
  /*  2274 */ "DOMTokenList" "\0"
  /*  2287 */ "DataTransfer" "\0"
  /*  2300 */ "DataTransferItem" "\0"
  /*  2317 */ "DataTransferItemList" "\0"
  /*  2338 */ "DebuggerNotification" "\0"
  /*  2359 */ "DebuggerNotificationObserver" "\0"
  /*  2388 */ "DecompressionStream" "\0"
  /*  2408 */ "DedicatedWorkerGlobalScope" "\0"
  /*  2435 */ "DelayNode" "\0"
  /*  2445 */ "DeprecationReportBody" "\0"
  /*  2467 */ "DeviceAcceleration" "\0"
  /*  2486 */ "DeviceLightEvent" "\0"
  /*  2503 */ "DeviceMotionEvent" "\0"
  /*  2521 */ "DeviceOrientationEvent" "\0"
  /*  2544 */ "DeviceRotationRate" "\0"
  /*  2563 */ "Directory" "\0"
  /*  2573 */ "Document" "\0"
  /*  2582 */ "DocumentFragment" "\0"
  /*  2599 */ "DocumentL10n" "\0"
  /*  2612 */ "DocumentTimeline" "\0"
  /*  2629 */ "DocumentType" "\0"
  /*  2642 */ "DominatorTree" "\0"
  /*  2656 */ "DragEvent" "\0"
  /*  2666 */ "DynamicsCompressorNode" "\0"
  /*  2689 */ "EXT_blend_minmax" "\0"
  /*  2706 */ "EXT_color_buffer_float" "\0"
  /*  2729 */ "EXT_color_buffer_half_float" "\0"
  /*  2757 */ "EXT_disjoint_timer_query" "\0"
  /*  2782 */ "EXT_float_blend" "\0"
  /*  2798 */ "EXT_frag_depth" "\0"
  /*  2813 */ "EXT_sRGB" "\0"
  /*  2822 */ "EXT_shader_texture_lod" "\0"
  /*  2845 */ "EXT_texture_compression_bptc" "\0"
  /*  2874 */ "EXT_texture_compression_rgtc" "\0"
  /*  2903 */ "EXT_texture_filter_anisotropic" "\0"
  /*  2934 */ "EXT_texture_norm16" "\0"
  /*  2953 */ "Element" "\0"
  /*  2961 */ "ElementInternals" "\0"
  /*  2978 */ "EncodedVideoChunk" "\0"
  /*  2996 */ "ErrorEvent" "\0"
  /*  3007 */ "Event" "\0"
  /*  3013 */ "EventCallbackDebuggerNotification" "\0"
  /*  3047 */ "EventCounts" "\0"
  /*  3059 */ "EventSource" "\0"
  /*  3071 */ "EventTarget" "\0"
  /*  3083 */ "Exception" "\0"
  /*  3093 */ "ExtendableEvent" "\0"
  /*  3109 */ "ExtendableMessageEvent" "\0"
  /*  3132 */ "ExtensionAlarms" "\0"
  /*  3148 */ "ExtensionBrowser" "\0"
  /*  3165 */ "ExtensionBrowserSettings" "\0"
  /*  3190 */ "ExtensionBrowserSettingsColorManagement" "\0"
  /*  3230 */ "ExtensionDns" "\0"
  /*  3243 */ "ExtensionEventManager" "\0"
  /*  3265 */ "ExtensionMockAPI" "\0"
  /*  3282 */ "ExtensionPort" "\0"
  /*  3296 */ "ExtensionProxy" "\0"
  /*  3311 */ "ExtensionRuntime" "\0"
  /*  3328 */ "ExtensionScripting" "\0"
  /*  3347 */ "ExtensionSetting" "\0"
  /*  3364 */ "ExtensionTest" "\0"
  /*  3378 */ "External" "\0"
  /*  3387 */ "FeaturePolicy" "\0"
  /*  3401 */ "FeaturePolicyViolationReportBody" "\0"
  /*  3434 */ "FetchEvent" "\0"
  /*  3445 */ "FetchObserver" "\0"
  /*  3459 */ "File" "\0"
  /*  3464 */ "FileList" "\0"
  /*  3473 */ "FileReader" "\0"
  /*  3484 */ "FileReaderSync" "\0"
  /*  3499 */ "FileSystem" "\0"
  /*  3510 */ "FileSystemDirectoryEntry" "\0"
  /*  3535 */ "FileSystemDirectoryHandle" "\0"
  /*  3561 */ "FileSystemDirectoryHandle AsyncIterator" "\0"
  /*  3601 */ "FileSystemDirectoryIterator" "\0"
  /*  3629 */ "FileSystemDirectoryReader" "\0"
  /*  3655 */ "FileSystemEntry" "\0"
  /*  3671 */ "FileSystemFileEntry" "\0"
  /*  3691 */ "FileSystemFileHandle" "\0"
  /*  3712 */ "FileSystemHandle" "\0"
  /*  3729 */ "FileSystemSyncAccessHandle" "\0"
  /*  3756 */ "FileSystemWritableFileStream" "\0"
  /*  3785 */ "Flex" "\0"
  /*  3790 */ "FlexItemValues" "\0"
  /*  3805 */ "FlexLineValues" "\0"
  /*  3820 */ "FluentBundle" "\0"
  /*  3833 */ "FluentBundleAsyncIterator" "\0"
  /*  3859 */ "FluentBundleIterator" "\0"
  /*  3880 */ "FluentPattern" "\0"
  /*  3894 */ "FluentResource" "\0"
  /*  3909 */ "FocusEvent" "\0"
  /*  3920 */ "FontFace" "\0"
  /*  3929 */ "FontFaceSet" "\0"
  /*  3941 */ "FontFaceSetIterator" "\0"
  /*  3961 */ "FontFaceSetLoadEvent" "\0"
  /*  3982 */ "FormData" "\0"
  /*  3991 */ "FormData Iterator" "\0"
  /*  4009 */ "FormDataEvent" "\0"
  /*  4023 */ "FrameCrashedEvent" "\0"
  /*  4041 */ "FrameLoader" "\0"
  /*  4053 */ "GPU" "\0"
  /*  4057 */ "GPUAdapter" "\0"
  /*  4068 */ "GPUAdapterInfo" "\0"
  /*  4083 */ "GPUBindGroup" "\0"
  /*  4096 */ "GPUBindGroupLayout" "\0"
  /*  4115 */ "GPUBuffer" "\0"
  /*  4125 */ "GPUBufferUsage" "\0"
  /*  4140 */ "GPUCanvasContext" "\0"
  /*  4157 */ "GPUColorWrite" "\0"
  /*  4171 */ "GPUCommandBuffer" "\0"
  /*  4188 */ "GPUCommandEncoder" "\0"
  /*  4206 */ "GPUCompilationInfo" "\0"
  /*  4225 */ "GPUCompilationMessage" "\0"
  /*  4247 */ "GPUComputePassEncoder" "\0"
  /*  4269 */ "GPUComputePipeline" "\0"
  /*  4288 */ "GPUDevice" "\0"
  /*  4298 */ "GPUDeviceLostInfo" "\0"
  /*  4316 */ "GPUError" "\0"
  /*  4325 */ "GPUInternalError" "\0"
  /*  4342 */ "GPUMapMode" "\0"
  /*  4353 */ "GPUOutOfMemoryError" "\0"
  /*  4373 */ "GPUPipelineLayout" "\0"
  /*  4391 */ "GPUQuerySet" "\0"
  /*  4403 */ "GPUQueue" "\0"
  /*  4412 */ "GPURenderBundle" "\0"
  /*  4428 */ "GPURenderBundleEncoder" "\0"
  /*  4451 */ "GPURenderPassEncoder" "\0"
  /*  4472 */ "GPURenderPipeline" "\0"
  /*  4490 */ "GPUSampler" "\0"
  /*  4501 */ "GPUShaderModule" "\0"
  /*  4517 */ "GPUShaderStage" "\0"
  /*  4532 */ "GPUSupportedFeatures" "\0"
  /*  4553 */ "GPUSupportedLimits" "\0"
  /*  4572 */ "GPUTexture" "\0"
  /*  4583 */ "GPUTextureUsage" "\0"
  /*  4599 */ "GPUTextureView" "\0"
  /*  4614 */ "GPUUncapturedErrorEvent" "\0"
  /*  4638 */ "GPUValidationError" "\0"
  /*  4657 */ "GainNode" "\0"
  /*  4666 */ "Gamepad" "\0"
  /*  4674 */ "GamepadAxisMoveEvent" "\0"
  /*  4695 */ "GamepadButton" "\0"
  /*  4709 */ "GamepadButtonEvent" "\0"
  /*  4728 */ "GamepadEvent" "\0"
  /*  4741 */ "GamepadHapticActuator" "\0"
  /*  4763 */ "GamepadLightIndicator" "\0"
  /*  4785 */ "GamepadPose" "\0"
  /*  4797 */ "GamepadServiceTest" "\0"
  /*  4816 */ "GamepadTouch" "\0"
  /*  4829 */ "Geolocation" "\0"
  /*  4841 */ "GeolocationCoordinates" "\0"
  /*  4864 */ "GeolocationPosition" "\0"
  /*  4884 */ "GeolocationPositionError" "\0"
  /*  4909 */ "GetUserMediaRequest" "\0"
  /*  4929 */ "GleanCategory" "\0"
  /*  4943 */ "GleanImpl" "\0"
  /*  4953 */ "GleanLabeled" "\0"
  /*  4966 */ "GleanPingsImpl" "\0"
  /*  4981 */ "Grid" "\0"
  /*  4986 */ "GridArea" "\0"
  /*  4995 */ "GridDimension" "\0"
  /*  5009 */ "GridLine" "\0"
  /*  5018 */ "GridLines" "\0"
  /*  5028 */ "GridTrack" "\0"
  /*  5038 */ "GridTracks" "\0"
  /*  5049 */ "HTMLAllCollection" "\0"
  /*  5067 */ "HTMLAnchorElement" "\0"
  /*  5085 */ "HTMLAreaElement" "\0"
  /*  5101 */ "HTMLAudioElement" "\0"
  /*  5118 */ "HTMLBRElement" "\0"
  /*  5132 */ "HTMLBaseElement" "\0"
  /*  5148 */ "HTMLBodyElement" "\0"
  /*  5164 */ "HTMLButtonElement" "\0"
  /*  5182 */ "HTMLCanvasElement" "\0"
  /*  5200 */ "HTMLCollection" "\0"
  /*  5215 */ "HTMLDListElement" "\0"
  /*  5232 */ "HTMLDataElement" "\0"
  /*  5248 */ "HTMLDataListElement" "\0"
  /*  5268 */ "HTMLDetailsElement" "\0"
  /*  5287 */ "HTMLDialogElement" "\0"
  /*  5305 */ "HTMLDirectoryElement" "\0"
  /*  5326 */ "HTMLDivElement" "\0"
  /*  5341 */ "HTMLDocument" "\0"
  /*  5354 */ "HTMLElement" "\0"
  /*  5366 */ "HTMLEmbedElement" "\0"
  /*  5383 */ "HTMLFieldSetElement" "\0"
  /*  5403 */ "HTMLFontElement" "\0"
  /*  5419 */ "HTMLFormControlsCollection" "\0"
  /*  5446 */ "HTMLFormElement" "\0"
  /*  5462 */ "HTMLFrameElement" "\0"
  /*  5479 */ "HTMLFrameSetElement" "\0"
  /*  5499 */ "HTMLHRElement" "\0"
  /*  5513 */ "HTMLHeadElement" "\0"
  /*  5529 */ "HTMLHeadingElement" "\0"
  /*  5548 */ "HTMLHtmlElement" "\0"
  /*  5564 */ "HTMLIFrameElement" "\0"
  /*  5582 */ "HTMLImageElement" "\0"
  /*  5599 */ "HTMLInputElement" "\0"
  /*  5616 */ "HTMLLIElement" "\0"
  /*  5630 */ "HTMLLabelElement" "\0"
  /*  5647 */ "HTMLLegendElement" "\0"
  /*  5665 */ "HTMLLinkElement" "\0"
  /*  5681 */ "HTMLMapElement" "\0"
  /*  5696 */ "HTMLMarqueeElement" "\0"
  /*  5715 */ "HTMLMediaElement" "\0"
  /*  5732 */ "HTMLMenuElement" "\0"
  /*  5748 */ "HTMLMetaElement" "\0"
  /*  5764 */ "HTMLMeterElement" "\0"
  /*  5781 */ "HTMLModElement" "\0"
  /*  5796 */ "HTMLOListElement" "\0"
  /*  5813 */ "HTMLObjectElement" "\0"
  /*  5831 */ "HTMLOptGroupElement" "\0"
  /*  5851 */ "HTMLOptionElement" "\0"
  /*  5869 */ "HTMLOptionsCollection" "\0"
  /*  5891 */ "HTMLOutputElement" "\0"
  /*  5909 */ "HTMLParagraphElement" "\0"
  /*  5930 */ "HTMLParamElement" "\0"
  /*  5947 */ "HTMLPictureElement" "\0"
  /*  5966 */ "HTMLPreElement" "\0"
  /*  5981 */ "HTMLProgressElement" "\0"
  /*  6001 */ "HTMLQuoteElement" "\0"
  /*  6018 */ "HTMLScriptElement" "\0"
  /*  6036 */ "HTMLSelectElement" "\0"
  /*  6054 */ "HTMLSlotElement" "\0"
  /*  6070 */ "HTMLSourceElement" "\0"
  /*  6088 */ "HTMLSpanElement" "\0"
  /*  6104 */ "HTMLStyleElement" "\0"
  /*  6121 */ "HTMLTableCaptionElement" "\0"
  /*  6145 */ "HTMLTableCellElement" "\0"
  /*  6166 */ "HTMLTableColElement" "\0"
  /*  6186 */ "HTMLTableElement" "\0"
  /*  6203 */ "HTMLTableRowElement" "\0"
  /*  6223 */ "HTMLTableSectionElement" "\0"
  /*  6247 */ "HTMLTemplateElement" "\0"
  /*  6267 */ "HTMLTextAreaElement" "\0"
  /*  6287 */ "HTMLTimeElement" "\0"
  /*  6303 */ "HTMLTitleElement" "\0"
  /*  6320 */ "HTMLTrackElement" "\0"
  /*  6337 */ "HTMLUListElement" "\0"
  /*  6354 */ "HTMLUnknownElement" "\0"
  /*  6373 */ "HTMLVideoElement" "\0"
  /*  6390 */ "HashChangeEvent" "\0"
  /*  6406 */ "Headers" "\0"
  /*  6414 */ "Headers Iterator" "\0"
  /*  6431 */ "HeapSnapshot" "\0"
  /*  6444 */ "Highlight" "\0"
  /*  6454 */ "HighlightRegistry" "\0"
  /*  6472 */ "History" "\0"
  /*  6480 */ "IDBCursor" "\0"
  /*  6490 */ "IDBCursorWithValue" "\0"
  /*  6509 */ "IDBDatabase" "\0"
  /*  6521 */ "IDBFactory" "\0"
  /*  6532 */ "IDBIndex" "\0"
  /*  6541 */ "IDBKeyRange" "\0"
  /*  6553 */ "IDBLocaleAwareKeyRange" "\0"
  /*  6576 */ "IDBObjectStore" "\0"
  /*  6591 */ "IDBOpenDBRequest" "\0"
  /*  6608 */ "IDBRequest" "\0"
  /*  6619 */ "IDBTransaction" "\0"
  /*  6634 */ "IDBVersionChangeEvent" "\0"
  /*  6656 */ "IIRFilterNode" "\0"
  /*  6670 */ "IOUtils" "\0"
  /*  6678 */ "IdentityCredential" "\0"
  /*  6697 */ "IdleDeadline" "\0"
  /*  6710 */ "Image" "\0"
  /*  6716 */ "ImageBitmap" "\0"
  /*  6728 */ "ImageBitmapRenderingContext" "\0"
  /*  6756 */ "ImageCapture" "\0"
  /*  6769 */ "ImageCaptureError" "\0"
  /*  6787 */ "ImageCaptureErrorEvent" "\0"
  /*  6810 */ "ImageData" "\0"
  /*  6820 */ "ImageDocument" "\0"
  /*  6834 */ "InputEvent" "\0"
  /*  6845 */ "InspectorFontFace" "\0"
  /*  6863 */ "InspectorUtils" "\0"
  /*  6878 */ "InstallTriggerImpl" "\0"
  /*  6897 */ "IntersectionObserver" "\0"
  /*  6918 */ "IntersectionObserverEntry" "\0"
  /*  6944 */ "IntlUtils" "\0"
  /*  6954 */ "JSProcessActorChild" "\0"
  /*  6974 */ "JSProcessActorParent" "\0"
  /*  6995 */ "JSWindowActorChild" "\0"
  /*  7014 */ "JSWindowActorParent" "\0"
  /*  7034 */ "KeyEvent" "\0"
  /*  7043 */ "KeyboardEvent" "\0"
  /*  7057 */ "KeyframeEffect" "\0"
  /*  7072 */ "L10nFileSource" "\0"
  /*  7087 */ "L10nOverlays" "\0"
  /*  7100 */ "L10nRegistry" "\0"
  /*  7113 */ "LargestContentfulPaint" "\0"
  /*  7136 */ "LegacyMozTCPSocket" "\0"
  /*  7155 */ "Localization" "\0"
  /*  7168 */ "Location" "\0"
  /*  7177 */ "Lock" "\0"
  /*  7182 */ "LockManager" "\0"
  /*  7194 */ "MIDIAccess" "\0"
  /*  7205 */ "MIDIConnectionEvent" "\0"
  /*  7225 */ "MIDIInput" "\0"
  /*  7235 */ "MIDIInputMap" "\0"
  /*  7248 */ "MIDIMessageEvent" "\0"
  /*  7265 */ "MIDIOutput" "\0"
  /*  7276 */ "MIDIOutputMap" "\0"
  /*  7290 */ "MIDIPort" "\0"
  /*  7299 */ "MOZ_debug" "\0"
  /*  7309 */ "MatchGlob" "\0"
  /*  7319 */ "MatchPattern" "\0"
  /*  7332 */ "MatchPatternSet" "\0"
  /*  7348 */ "MathMLElement" "\0"
  /*  7362 */ "MediaCapabilities" "\0"
  /*  7380 */ "MediaCapabilitiesInfo" "\0"
  /*  7402 */ "MediaControlService" "\0"
  /*  7422 */ "MediaController" "\0"
  /*  7438 */ "MediaDeviceInfo" "\0"
  /*  7454 */ "MediaDevices" "\0"
  /*  7467 */ "MediaElementAudioSourceNode" "\0"
  /*  7495 */ "MediaEncryptedEvent" "\0"
  /*  7515 */ "MediaError" "\0"
  /*  7526 */ "MediaKeyError" "\0"
  /*  7540 */ "MediaKeyMessageEvent" "\0"
  /*  7561 */ "MediaKeySession" "\0"
  /*  7577 */ "MediaKeyStatusMap" "\0"
  /*  7595 */ "MediaKeyStatusMap Iterator" "\0"
  /*  7622 */ "MediaKeySystemAccess" "\0"
  /*  7643 */ "MediaKeys" "\0"
  /*  7653 */ "MediaList" "\0"
  /*  7663 */ "MediaMetadata" "\0"
  /*  7677 */ "MediaQueryList" "\0"
  /*  7692 */ "MediaQueryListEvent" "\0"
  /*  7712 */ "MediaRecorder" "\0"
  /*  7726 */ "MediaRecorderErrorEvent" "\0"
  /*  7750 */ "MediaSession" "\0"
  /*  7763 */ "MediaSource" "\0"
  /*  7775 */ "MediaStream" "\0"
  /*  7787 */ "MediaStreamAudioDestinationNode" "\0"
  /*  7819 */ "MediaStreamAudioSourceNode" "\0"
  /*  7846 */ "MediaStreamError" "\0"
  /*  7863 */ "MediaStreamEvent" "\0"
  /*  7880 */ "MediaStreamTrack" "\0"
  /*  7897 */ "MediaStreamTrackAudioSourceNode" "\0"
  /*  7929 */ "MediaStreamTrackEvent" "\0"
  /*  7951 */ "MerchantValidationEvent" "\0"
  /*  7975 */ "MessageBroadcaster" "\0"
  /*  7994 */ "MessageChannel" "\0"
  /*  8009 */ "MessageEvent" "\0"
  /*  8022 */ "MessageListenerManager" "\0"
  /*  8045 */ "MessagePort" "\0"
  /*  8057 */ "MessageSender" "\0"
  /*  8071 */ "MimeType" "\0"
  /*  8080 */ "MimeTypeArray" "\0"
  /*  8094 */ "MouseEvent" "\0"
  /*  8105 */ "MouseScrollEvent" "\0"
  /*  8122 */ "MozCanvasPrintState" "\0"
  /*  8142 */ "MozDocumentMatcher" "\0"
  /*  8161 */ "MozDocumentObserver" "\0"
  /*  8181 */ "MozQueryInterface" "\0"
  /*  8199 */ "MozSharedMap" "\0"
  /*  8212 */ "MozSharedMap Iterator" "\0"
  /*  8234 */ "MozSharedMapChangeEvent" "\0"
  /*  8258 */ "MozStorageAsyncStatementParams" "\0"
  /*  8289 */ "MozStorageStatementParams" "\0"
  /*  8315 */ "MozStorageStatementRow" "\0"
  /*  8338 */ "MozWritableSharedMap" "\0"
  /*  8359 */ "MutationEvent" "\0"
  /*  8373 */ "MutationObserver" "\0"
  /*  8390 */ "MutationRecord" "\0"
  /*  8405 */ "NamedNodeMap" "\0"
  /*  8418 */ "NavigationPreloadManager" "\0"
  /*  8443 */ "Navigator" "\0"
  /*  8453 */ "NetworkInformation" "\0"
  /*  8472 */ "Node" "\0"
  /*  8477 */ "NodeFilter" "\0"
  /*  8488 */ "NodeIterator" "\0"
  /*  8501 */ "NodeList" "\0"
  /*  8510 */ "Notification" "\0"
  /*  8523 */ "NotificationEvent" "\0"
  /*  8541 */ "NotifyPaintEvent" "\0"
  /*  8558 */ "OES_draw_buffers_indexed" "\0"
  /*  8583 */ "OES_element_index_uint" "\0"
  /*  8606 */ "OES_fbo_render_mipmap" "\0"
  /*  8628 */ "OES_standard_derivatives" "\0"
  /*  8653 */ "OES_texture_float" "\0"
  /*  8671 */ "OES_texture_float_linear" "\0"
  /*  8696 */ "OES_texture_half_float" "\0"
  /*  8719 */ "OES_texture_half_float_linear" "\0"
  /*  8749 */ "OES_vertex_array_object" "\0"
  /*  8773 */ "OVR_multiview2" "\0"
  /*  8788 */ "OfflineAudioCompletionEvent" "\0"
  /*  8816 */ "OfflineAudioContext" "\0"
  /*  8836 */ "OffscreenCanvas" "\0"
  /*  8852 */ "OffscreenCanvasRenderingContext2D" "\0"
  /*  8886 */ "Option" "\0"
  /*  8893 */ "OscillatorNode" "\0"
  /*  8908 */ "PageTransitionEvent" "\0"
  /*  8928 */ "PaintRequest" "\0"
  /*  8941 */ "PaintRequestList" "\0"
  /*  8958 */ "PaintWorkletGlobalScope" "\0"
  /*  8982 */ "PannerNode" "\0"
  /*  8993 */ "ParentProcessMessageManager" "\0"
  /*  9021 */ "Path2D" "\0"
  /*  9028 */ "PathUtils" "\0"
  /*  9038 */ "PaymentAddress" "\0"
  /*  9053 */ "PaymentMethodChangeEvent" "\0"
  /*  9078 */ "PaymentRequest" "\0"
  /*  9093 */ "PaymentRequestUpdateEvent" "\0"
  /*  9119 */ "PaymentResponse" "\0"
  /*  9135 */ "Performance" "\0"
  /*  9147 */ "PerformanceEntry" "\0"
  /*  9164 */ "PerformanceEntryEvent" "\0"
  /*  9186 */ "PerformanceEventTiming" "\0"
  /*  9209 */ "PerformanceMark" "\0"
  /*  9225 */ "PerformanceMeasure" "\0"
  /*  9244 */ "PerformanceNavigation" "\0"
  /*  9266 */ "PerformanceNavigationTiming" "\0"
  /*  9294 */ "PerformanceObserver" "\0"
  /*  9314 */ "PerformanceObserverEntryList" "\0"
  /*  9343 */ "PerformancePaintTiming" "\0"
  /*  9366 */ "PerformanceResourceTiming" "\0"
  /*  9392 */ "PerformanceServerTiming" "\0"
  /*  9416 */ "PerformanceTiming" "\0"
  /*  9434 */ "PeriodicWave" "\0"
  /*  9447 */ "PermissionStatus" "\0"
  /*  9464 */ "Permissions" "\0"
  /*  9476 */ "PlacesBookmark" "\0"
  /*  9491 */ "PlacesBookmarkAddition" "\0"
  /*  9514 */ "PlacesBookmarkChanged" "\0"
  /*  9536 */ "PlacesBookmarkGuid" "\0"
  /*  9555 */ "PlacesBookmarkKeyword" "\0"
  /*  9577 */ "PlacesBookmarkMoved" "\0"
  /*  9597 */ "PlacesBookmarkRemoved" "\0"
  /*  9619 */ "PlacesBookmarkTags" "\0"
  /*  9638 */ "PlacesBookmarkTime" "\0"
  /*  9657 */ "PlacesBookmarkTitle" "\0"
  /*  9677 */ "PlacesBookmarkUrl" "\0"
  /*  9695 */ "PlacesEvent" "\0"
  /*  9707 */ "PlacesFavicon" "\0"
  /*  9721 */ "PlacesHistoryCleared" "\0"
  /*  9742 */ "PlacesObservers" "\0"
  /*  9758 */ "PlacesPurgeCaches" "\0"
  /*  9776 */ "PlacesRanking" "\0"
  /*  9790 */ "PlacesVisit" "\0"
  /*  9802 */ "PlacesVisitRemoved" "\0"
  /*  9821 */ "PlacesVisitTitle" "\0"
  /*  9838 */ "PlacesWeakCallbackWrapper" "\0"
  /*  9864 */ "Plugin" "\0"
  /*  9871 */ "PluginArray" "\0"
  /*  9883 */ "PluginCrashedEvent" "\0"
  /*  9902 */ "PointerEvent" "\0"
  /*  9915 */ "PopStateEvent" "\0"
  /*  9929 */ "PopupBlockedEvent" "\0"
  /*  9947 */ "PopupPositionedEvent" "\0"
  /*  9968 */ "PositionStateEvent" "\0"
  /*  9987 */ "PrecompiledScript" "\0"
  /* 10005 */ "ProcessMessageManager" "\0"
  /* 10027 */ "ProcessingInstruction" "\0"
  /* 10049 */ "ProgressEvent" "\0"
  /* 10063 */ "PromiseDebugging" "\0"
  /* 10080 */ "PromiseNativeHandler" "\0"
  /* 10101 */ "PromiseRejectionEvent" "\0"
  /* 10123 */ "PublicKeyCredential" "\0"
  /* 10143 */ "PushEvent" "\0"
  /* 10153 */ "PushManager" "\0"
  /* 10165 */ "PushManagerImpl" "\0"
  /* 10181 */ "PushMessageData" "\0"
  /* 10197 */ "PushSubscription" "\0"
  /* 10214 */ "PushSubscriptionOptions" "\0"
  /* 10238 */ "RadioNodeList" "\0"
  /* 10252 */ "Range" "\0"
  /* 10258 */ "ReadableByteStreamController" "\0"
  /* 10287 */ "ReadableStream" "\0"
  /* 10302 */ "ReadableStream AsyncIterator" "\0"
  /* 10331 */ "ReadableStreamBYOBReader" "\0"
  /* 10356 */ "ReadableStreamBYOBRequest" "\0"
  /* 10382 */ "ReadableStreamDefaultController" "\0"
  /* 10414 */ "ReadableStreamDefaultReader" "\0"
  /* 10442 */ "Report" "\0"
  /* 10449 */ "ReportBody" "\0"
  /* 10460 */ "ReportingObserver" "\0"
  /* 10478 */ "Request" "\0"
  /* 10486 */ "ResizeObserver" "\0"
  /* 10501 */ "ResizeObserverEntry" "\0"
  /* 10521 */ "ResizeObserverSize" "\0"
  /* 10540 */ "Response" "\0"
  /* 10549 */ "SVGAElement" "\0"
  /* 10561 */ "SVGAngle" "\0"
  /* 10570 */ "SVGAnimateElement" "\0"
  /* 10588 */ "SVGAnimateMotionElement" "\0"
  /* 10612 */ "SVGAnimateTransformElement" "\0"
  /* 10639 */ "SVGAnimatedAngle" "\0"
  /* 10656 */ "SVGAnimatedBoolean" "\0"
  /* 10675 */ "SVGAnimatedEnumeration" "\0"
  /* 10698 */ "SVGAnimatedInteger" "\0"
  /* 10717 */ "SVGAnimatedLength" "\0"
  /* 10735 */ "SVGAnimatedLengthList" "\0"
  /* 10757 */ "SVGAnimatedNumber" "\0"
  /* 10775 */ "SVGAnimatedNumberList" "\0"
  /* 10797 */ "SVGAnimatedPreserveAspectRatio" "\0"
  /* 10828 */ "SVGAnimatedRect" "\0"
  /* 10844 */ "SVGAnimatedString" "\0"
  /* 10862 */ "SVGAnimatedTransformList" "\0"
  /* 10887 */ "SVGAnimationElement" "\0"
  /* 10907 */ "SVGCircleElement" "\0"
  /* 10924 */ "SVGClipPathElement" "\0"
  /* 10943 */ "SVGComponentTransferFunctionElement" "\0"
  /* 10979 */ "SVGDefsElement" "\0"
  /* 10994 */ "SVGDescElement" "\0"
  /* 11009 */ "SVGElement" "\0"
  /* 11020 */ "SVGEllipseElement" "\0"
  /* 11038 */ "SVGFEBlendElement" "\0"
  /* 11056 */ "SVGFEColorMatrixElement" "\0"
  /* 11080 */ "SVGFEComponentTransferElement" "\0"
  /* 11110 */ "SVGFECompositeElement" "\0"
  /* 11132 */ "SVGFEConvolveMatrixElement" "\0"
  /* 11159 */ "SVGFEDiffuseLightingElement" "\0"
  /* 11187 */ "SVGFEDisplacementMapElement" "\0"
  /* 11215 */ "SVGFEDistantLightElement" "\0"
  /* 11240 */ "SVGFEDropShadowElement" "\0"
  /* 11263 */ "SVGFEFloodElement" "\0"
  /* 11281 */ "SVGFEFuncAElement" "\0"
  /* 11299 */ "SVGFEFuncBElement" "\0"
  /* 11317 */ "SVGFEFuncGElement" "\0"
  /* 11335 */ "SVGFEFuncRElement" "\0"
  /* 11353 */ "SVGFEGaussianBlurElement" "\0"
  /* 11378 */ "SVGFEImageElement" "\0"
  /* 11396 */ "SVGFEMergeElement" "\0"
  /* 11414 */ "SVGFEMergeNodeElement" "\0"
  /* 11436 */ "SVGFEMorphologyElement" "\0"
  /* 11459 */ "SVGFEOffsetElement" "\0"
  /* 11478 */ "SVGFEPointLightElement" "\0"
  /* 11501 */ "SVGFESpecularLightingElement" "\0"
  /* 11530 */ "SVGFESpotLightElement" "\0"
  /* 11552 */ "SVGFETileElement" "\0"
  /* 11569 */ "SVGFETurbulenceElement" "\0"
  /* 11592 */ "SVGFilterElement" "\0"
  /* 11609 */ "SVGForeignObjectElement" "\0"
  /* 11633 */ "SVGGElement" "\0"
  /* 11645 */ "SVGGeometryElement" "\0"
  /* 11664 */ "SVGGradientElement" "\0"
  /* 11683 */ "SVGGraphicsElement" "\0"
  /* 11702 */ "SVGImageElement" "\0"
  /* 11718 */ "SVGLength" "\0"
  /* 11728 */ "SVGLengthList" "\0"
  /* 11742 */ "SVGLineElement" "\0"
  /* 11757 */ "SVGLinearGradientElement" "\0"
  /* 11782 */ "SVGMPathElement" "\0"
  /* 11798 */ "SVGMarkerElement" "\0"
  /* 11815 */ "SVGMaskElement" "\0"
  /* 11830 */ "SVGMatrix" "\0"
  /* 11840 */ "SVGMetadataElement" "\0"
  /* 11859 */ "SVGNumber" "\0"
  /* 11869 */ "SVGNumberList" "\0"
  /* 11883 */ "SVGPathElement" "\0"
  /* 11898 */ "SVGPathSeg" "\0"
  /* 11909 */ "SVGPathSegArcAbs" "\0"
  /* 11926 */ "SVGPathSegArcRel" "\0"
  /* 11943 */ "SVGPathSegClosePath" "\0"
  /* 11963 */ "SVGPathSegCurvetoCubicAbs" "\0"
  /* 11989 */ "SVGPathSegCurvetoCubicRel" "\0"
  /* 12015 */ "SVGPathSegCurvetoCubicSmoothAbs" "\0"
  /* 12047 */ "SVGPathSegCurvetoCubicSmoothRel" "\0"
  /* 12079 */ "SVGPathSegCurvetoQuadraticAbs" "\0"
  /* 12109 */ "SVGPathSegCurvetoQuadraticRel" "\0"
  /* 12139 */ "SVGPathSegCurvetoQuadraticSmoothAbs" "\0"
  /* 12175 */ "SVGPathSegCurvetoQuadraticSmoothRel" "\0"
  /* 12211 */ "SVGPathSegLinetoAbs" "\0"
  /* 12231 */ "SVGPathSegLinetoHorizontalAbs" "\0"
  /* 12261 */ "SVGPathSegLinetoHorizontalRel" "\0"
  /* 12291 */ "SVGPathSegLinetoRel" "\0"
  /* 12311 */ "SVGPathSegLinetoVerticalAbs" "\0"
  /* 12339 */ "SVGPathSegLinetoVerticalRel" "\0"
  /* 12367 */ "SVGPathSegList" "\0"
  /* 12382 */ "SVGPathSegMovetoAbs" "\0"
  /* 12402 */ "SVGPathSegMovetoRel" "\0"
  /* 12422 */ "SVGPatternElement" "\0"
  /* 12440 */ "SVGPoint" "\0"
  /* 12449 */ "SVGPointList" "\0"
  /* 12462 */ "SVGPolygonElement" "\0"
  /* 12480 */ "SVGPolylineElement" "\0"
  /* 12499 */ "SVGPreserveAspectRatio" "\0"
  /* 12522 */ "SVGRadialGradientElement" "\0"
  /* 12547 */ "SVGRect" "\0"
  /* 12555 */ "SVGRectElement" "\0"
  /* 12570 */ "SVGSVGElement" "\0"
  /* 12584 */ "SVGScriptElement" "\0"
  /* 12601 */ "SVGSetElement" "\0"
  /* 12615 */ "SVGStopElement" "\0"
  /* 12630 */ "SVGStringList" "\0"
  /* 12644 */ "SVGStyleElement" "\0"
  /* 12660 */ "SVGSwitchElement" "\0"
  /* 12677 */ "SVGSymbolElement" "\0"
  /* 12694 */ "SVGTSpanElement" "\0"
  /* 12710 */ "SVGTextContentElement" "\0"
  /* 12732 */ "SVGTextElement" "\0"
  /* 12747 */ "SVGTextPathElement" "\0"
  /* 12766 */ "SVGTextPositioningElement" "\0"
  /* 12792 */ "SVGTitleElement" "\0"
  /* 12808 */ "SVGTransform" "\0"
  /* 12821 */ "SVGTransformList" "\0"
  /* 12838 */ "SVGUnitTypes" "\0"
  /* 12851 */ "SVGUseElement" "\0"
  /* 12865 */ "SVGViewElement" "\0"
  /* 12880 */ "Sanitizer" "\0"
  /* 12890 */ "Scheduler" "\0"
  /* 12900 */ "Screen" "\0"
  /* 12907 */ "ScreenLuminance" "\0"
  /* 12923 */ "ScreenOrientation" "\0"
  /* 12941 */ "ScriptProcessorNode" "\0"
  /* 12961 */ "ScrollAreaEvent" "\0"
  /* 12977 */ "ScrollViewChangeEvent" "\0"
  /* 12999 */ "SecurityPolicyViolationEvent" "\0"
  /* 13028 */ "Selection" "\0"
  /* 13038 */ "ServiceWorker" "\0"
  /* 13052 */ "ServiceWorkerContainer" "\0"
  /* 13075 */ "ServiceWorkerGlobalScope" "\0"
  /* 13100 */ "ServiceWorkerRegistration" "\0"
  /* 13126 */ "SessionStoreFormData" "\0"
  /* 13147 */ "SessionStoreScrollData" "\0"
  /* 13170 */ "SessionStoreUtils" "\0"
  /* 13188 */ "ShadowRealmGlobalScope" "\0"
  /* 13211 */ "ShadowRoot" "\0"
  /* 13222 */ "SharedWorker" "\0"
  /* 13235 */ "SharedWorkerGlobalScope" "\0"
  /* 13259 */ "SimpleGestureEvent" "\0"
  /* 13278 */ "SourceBuffer" "\0"
  /* 13291 */ "SourceBufferList" "\0"
  /* 13308 */ "SpeechGrammar" "\0"
  /* 13322 */ "SpeechGrammarList" "\0"
  /* 13340 */ "SpeechRecognition" "\0"
  /* 13358 */ "SpeechRecognitionAlternative" "\0"
  /* 13387 */ "SpeechRecognitionError" "\0"
  /* 13410 */ "SpeechRecognitionEvent" "\0"
  /* 13433 */ "SpeechRecognitionResult" "\0"
  /* 13457 */ "SpeechRecognitionResultList" "\0"
  /* 13485 */ "SpeechSynthesis" "\0"
  /* 13501 */ "SpeechSynthesisErrorEvent" "\0"
  /* 13527 */ "SpeechSynthesisEvent" "\0"
  /* 13548 */ "SpeechSynthesisUtterance" "\0"
  /* 13573 */ "SpeechSynthesisVoice" "\0"
  /* 13594 */ "StaticRange" "\0"
  /* 13606 */ "StereoPannerNode" "\0"
  /* 13623 */ "Storage" "\0"
  /* 13631 */ "StorageEvent" "\0"
  /* 13644 */ "StorageManager" "\0"
  /* 13659 */ "StreamFilter" "\0"
  /* 13672 */ "StreamFilterDataEvent" "\0"
  /* 13694 */ "StructuredCloneHolder" "\0"
  /* 13716 */ "StructuredCloneTester" "\0"
  /* 13738 */ "StyleSheet" "\0"
  /* 13749 */ "StyleSheetApplicableStateChangeEvent" "\0"
  /* 13786 */ "StyleSheetList" "\0"
  /* 13801 */ "SubmitEvent" "\0"
  /* 13813 */ "SubtleCrypto" "\0"
  /* 13826 */ "SyncMessageSender" "\0"
  /* 13844 */ "SyncReadFile" "\0"
  /* 13857 */ "TCPServerSocket" "\0"
  /* 13873 */ "TCPServerSocketEvent" "\0"
  /* 13894 */ "TCPSocket" "\0"
  /* 13904 */ "TCPSocketErrorEvent" "\0"
  /* 13924 */ "TCPSocketEvent" "\0"
  /* 13939 */ "TaskController" "\0"
  /* 13954 */ "TaskPriorityChangeEvent" "\0"
  /* 13978 */ "TaskSignal" "\0"
  /* 13989 */ "TelemetryStopwatch" "\0"
  /* 14008 */ "TestUtils" "\0"
  /* 14018 */ "TestingDeprecatedInterface" "\0"
  /* 14045 */ "Text" "\0"
  /* 14050 */ "TextClause" "\0"
  /* 14061 */ "TextDecoder" "\0"
  /* 14073 */ "TextDecoderStream" "\0"
  /* 14091 */ "TextEncoder" "\0"
  /* 14103 */ "TextEncoderStream" "\0"
  /* 14121 */ "TextMetrics" "\0"
  /* 14133 */ "TextTrack" "\0"
  /* 14143 */ "TextTrackCue" "\0"
  /* 14156 */ "TextTrackCueList" "\0"
  /* 14173 */ "TextTrackList" "\0"
  /* 14187 */ "TimeEvent" "\0"
  /* 14197 */ "TimeRanges" "\0"
  /* 14208 */ "ToggleEvent" "\0"
  /* 14220 */ "Touch" "\0"
  /* 14226 */ "TouchEvent" "\0"
  /* 14237 */ "TouchList" "\0"
  /* 14247 */ "TrackEvent" "\0"
  /* 14258 */ "TransformStream" "\0"
  /* 14274 */ "TransformStreamDefaultController" "\0"
  /* 14307 */ "TransitionEvent" "\0"
  /* 14323 */ "TreeColumn" "\0"
  /* 14334 */ "TreeColumns" "\0"
  /* 14346 */ "TreeContentView" "\0"
  /* 14362 */ "TreeWalker" "\0"
  /* 14373 */ "UDPMessageEvent" "\0"
  /* 14389 */ "UDPSocket" "\0"
  /* 14399 */ "UIEvent" "\0"
  /* 14407 */ "URL" "\0"
  /* 14411 */ "URLSearchParams" "\0"
  /* 14427 */ "URLSearchParams Iterator" "\0"
  /* 14452 */ "UniFFIPointer" "\0"
  /* 14466 */ "UniFFIScaffolding" "\0"
  /* 14484 */ "UserInteraction" "\0"
  /* 14500 */ "UserProximityEvent" "\0"
  /* 14519 */ "VRDisplay" "\0"
  /* 14529 */ "VRDisplayCapabilities" "\0"
  /* 14551 */ "VRDisplayEvent" "\0"
  /* 14566 */ "VREyeParameters" "\0"
  /* 14582 */ "VRFieldOfView" "\0"
  /* 14596 */ "VRFrameData" "\0"
  /* 14608 */ "VRMockController" "\0"
  /* 14625 */ "VRMockDisplay" "\0"
  /* 14639 */ "VRPose" "\0"
  /* 14646 */ "VRServiceTest" "\0"
  /* 14660 */ "VRStageParameters" "\0"
  /* 14678 */ "VTTCue" "\0"
  /* 14685 */ "VTTRegion" "\0"
  /* 14695 */ "ValidityState" "\0"
  /* 14709 */ "VideoColorSpace" "\0"
  /* 14725 */ "VideoDecoder" "\0"
  /* 14738 */ "VideoFrame" "\0"
  /* 14749 */ "VideoPlaybackQuality" "\0"
  /* 14770 */ "VideoTrack" "\0"
  /* 14781 */ "VideoTrackList" "\0"
  /* 14796 */ "VisualViewport" "\0"
  /* 14811 */ "WEBGL_color_buffer_float" "\0"
  /* 14836 */ "WEBGL_compressed_texture_astc" "\0"
  /* 14866 */ "WEBGL_compressed_texture_etc" "\0"
  /* 14895 */ "WEBGL_compressed_texture_etc1" "\0"
  /* 14925 */ "WEBGL_compressed_texture_pvrtc" "\0"
  /* 14956 */ "WEBGL_compressed_texture_s3tc" "\0"
  /* 14986 */ "WEBGL_compressed_texture_s3tc_srgb" "\0"
  /* 15021 */ "WEBGL_debug_renderer_info" "\0"
  /* 15047 */ "WEBGL_debug_shaders" "\0"
  /* 15067 */ "WEBGL_depth_texture" "\0"
  /* 15087 */ "WEBGL_draw_buffers" "\0"
  /* 15106 */ "WEBGL_explicit_present" "\0"
  /* 15129 */ "WEBGL_lose_context" "\0"
  /* 15148 */ "WEBGL_provoking_vertex" "\0"
  /* 15171 */ "WaveShaperNode" "\0"
  /* 15186 */ "WebExtensionContentScript" "\0"
  /* 15212 */ "WebExtensionPolicy" "\0"
  /* 15231 */ "WebGL2RenderingContext" "\0"
  /* 15254 */ "WebGLActiveInfo" "\0"
  /* 15270 */ "WebGLBuffer" "\0"
  /* 15282 */ "WebGLContextEvent" "\0"
  /* 15300 */ "WebGLFramebuffer" "\0"
  /* 15317 */ "WebGLProgram" "\0"
  /* 15330 */ "WebGLQuery" "\0"
  /* 15341 */ "WebGLRenderbuffer" "\0"
  /* 15359 */ "WebGLRenderingContext" "\0"
  /* 15381 */ "WebGLSampler" "\0"
  /* 15394 */ "WebGLShader" "\0"
  /* 15406 */ "WebGLShaderPrecisionFormat" "\0"
  /* 15433 */ "WebGLSync" "\0"
  /* 15443 */ "WebGLTexture" "\0"
  /* 15456 */ "WebGLTransformFeedback" "\0"
  /* 15479 */ "WebGLUniformLocation" "\0"
  /* 15500 */ "WebGLVertexArrayObject" "\0"
  /* 15523 */ "WebKitCSSMatrix" "\0"
  /* 15539 */ "WebSocket" "\0"
  /* 15549 */ "WebTransport" "\0"
  /* 15562 */ "WebTransportBidirectionalStream" "\0"
  /* 15594 */ "WebTransportDatagramDuplexStream" "\0"
  /* 15627 */ "WebTransportError" "\0"
  /* 15645 */ "WebTransportReceiveStream" "\0"
  /* 15671 */ "WebTransportSendStream" "\0"
  /* 15694 */ "WheelEvent" "\0"
  /* 15705 */ "Window" "\0"
  /* 15712 */ "WindowClient" "\0"
  /* 15725 */ "WindowContext" "\0"
  /* 15739 */ "WindowGlobalChild" "\0"
  /* 15757 */ "WindowGlobalParent" "\0"
  /* 15776 */ "WindowRoot" "\0"
  /* 15787 */ "Worker" "\0"
  /* 15794 */ "WorkerDebuggerGlobalScope" "\0"
  /* 15820 */ "WorkerGlobalScope" "\0"
  /* 15838 */ "WorkerLocation" "\0"
  /* 15853 */ "WorkerNavigator" "\0"
  /* 15869 */ "WorkerTestUtils" "\0"
  /* 15885 */ "Worklet" "\0"
  /* 15893 */ "WorkletGlobalScope" "\0"
  /* 15912 */ "WritableStream" "\0"
  /* 15927 */ "WritableStreamDefaultController" "\0"
  /* 15959 */ "WritableStreamDefaultWriter" "\0"
  /* 15987 */ "XMLDocument" "\0"
  /* 15999 */ "XMLHttpRequest" "\0"
  /* 16014 */ "XMLHttpRequestEventTarget" "\0"
  /* 16040 */ "XMLHttpRequestUpload" "\0"
  /* 16061 */ "XMLSerializer" "\0"
  /* 16075 */ "XPathEvaluator" "\0"
  /* 16090 */ "XPathExpression" "\0"
  /* 16106 */ "XPathResult" "\0"
  /* 16118 */ "XRBoundedReferenceSpace" "\0"
  /* 16142 */ "XRFrame" "\0"
  /* 16150 */ "XRInputSource" "\0"
  /* 16164 */ "XRInputSourceArray" "\0"
  /* 16183 */ "XRInputSourceEvent" "\0"
  /* 16202 */ "XRInputSourcesChangeEvent" "\0"
  /* 16228 */ "XRPose" "\0"
  /* 16235 */ "XRReferenceSpace" "\0"
  /* 16252 */ "XRReferenceSpaceEvent" "\0"
  /* 16274 */ "XRRenderState" "\0"
  /* 16288 */ "XRRigidTransform" "\0"
  /* 16305 */ "XRSession" "\0"
  /* 16315 */ "XRSessionEvent" "\0"
  /* 16330 */ "XRSpace" "\0"
  /* 16338 */ "XRSystem" "\0"
  /* 16347 */ "XRView" "\0"
  /* 16354 */ "XRViewerPose" "\0"
  /* 16367 */ "XRViewport" "\0"
  /* 16378 */ "XRWebGLLayer" "\0"
  /* 16391 */ "XSLTProcessor" "\0"
  /* 16405 */ "XULCommandEvent" "\0"
  /* 16421 */ "XULElement" "\0"
  /* 16432 */ "XULFrameElement" "\0"
  /* 16448 */ "XULMenuElement" "\0"
  /* 16463 */ "XULPopupElement" "\0"
  /* 16479 */ "XULResizerElement" "\0"
  /* 16497 */ "XULTextElement" "\0"
  /* 16512 */ "XULTreeElement" "\0"
  /* 16527 */ "console" "\0"
  /* 16535 */ "webkitSpeechGrammar" "\0"
  /* 16555 */ "webkitSpeechGrammarList" "\0"
  /* 16579 */ "webkitSpeechRecognition" "\0"
  /* 16603 */ "webkitURL"
};

}  // namespace binding_detail

// Making this enum bigger than a uint16_t has consequences on the size
// of some structs (eg. WebIDLNameTableEntry) and tables. We should try
// to avoid that.
static_assert(EnumTypeFitsWithin<BindingNamesOffset, uint16_t>::value,
              "Size increase");

} // namespace mozilla::dom

